package cn.superdesk.uniorder.dao.entity.scheduler;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SysQuartzScheduleTaskStatementOfAccountExample {
    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public SysQuartzScheduleTaskStatementOfAccountExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDimCreateByIsNull() {
            addCriterion("dim_create_by is null");
            return (Criteria) this;
        }

        public Criteria andDimCreateByIsNotNull() {
            addCriterion("dim_create_by is not null");
            return (Criteria) this;
        }

        public Criteria andDimCreateByEqualTo(Integer value) {
            addCriterion("dim_create_by =", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByNotEqualTo(Integer value) {
            addCriterion("dim_create_by <>", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByGreaterThan(Integer value) {
            addCriterion("dim_create_by >", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByGreaterThanOrEqualTo(Integer value) {
            addCriterion("dim_create_by >=", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByLessThan(Integer value) {
            addCriterion("dim_create_by <", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByLessThanOrEqualTo(Integer value) {
            addCriterion("dim_create_by <=", value, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByIn(List<Integer> values) {
            addCriterion("dim_create_by in", values, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByNotIn(List<Integer> values) {
            addCriterion("dim_create_by not in", values, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByBetween(Integer value1, Integer value2) {
            addCriterion("dim_create_by between", value1, value2, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andDimCreateByNotBetween(Integer value1, Integer value2) {
            addCriterion("dim_create_by not between", value1, value2, "dimCreateBy");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameIsNull() {
            addCriterion("statement_of_account_name is null");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameIsNotNull() {
            addCriterion("statement_of_account_name is not null");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameEqualTo(String value) {
            addCriterion("statement_of_account_name =", value, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameNotEqualTo(String value) {
            addCriterion("statement_of_account_name <>", value, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameGreaterThan(String value) {
            addCriterion("statement_of_account_name >", value, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameGreaterThanOrEqualTo(String value) {
            addCriterion("statement_of_account_name >=", value, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameLessThan(String value) {
            addCriterion("statement_of_account_name <", value, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameLessThanOrEqualTo(String value) {
            addCriterion("statement_of_account_name <=", value, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameLike(String value) {
            addCriterion("statement_of_account_name like", value, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameNotLike(String value) {
            addCriterion("statement_of_account_name not like", value, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameIn(List<String> values) {
            addCriterion("statement_of_account_name in", values, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameNotIn(List<String> values) {
            addCriterion("statement_of_account_name not in", values, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameBetween(String value1, String value2) {
            addCriterion("statement_of_account_name between", value1, value2, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountNameNotBetween(String value1, String value2) {
            addCriterion("statement_of_account_name not between", value1, value2, "statementOfAccountName");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeIsNull() {
            addCriterion("statement_of_account_type is null");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeIsNotNull() {
            addCriterion("statement_of_account_type is not null");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeEqualTo(Integer value) {
            addCriterion("statement_of_account_type =", value, "statementOfAccountType");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeNotEqualTo(Integer value) {
            addCriterion("statement_of_account_type <>", value, "statementOfAccountType");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeGreaterThan(Integer value) {
            addCriterion("statement_of_account_type >", value, "statementOfAccountType");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("statement_of_account_type >=", value, "statementOfAccountType");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeLessThan(Integer value) {
            addCriterion("statement_of_account_type <", value, "statementOfAccountType");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeLessThanOrEqualTo(Integer value) {
            addCriterion("statement_of_account_type <=", value, "statementOfAccountType");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeIn(List<Integer> values) {
            addCriterion("statement_of_account_type in", values, "statementOfAccountType");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeNotIn(List<Integer> values) {
            addCriterion("statement_of_account_type not in", values, "statementOfAccountType");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeBetween(Integer value1, Integer value2) {
            addCriterion("statement_of_account_type between", value1, value2, "statementOfAccountType");
            return (Criteria) this;
        }

        public Criteria andStatementOfAccountTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("statement_of_account_type not between", value1, value2, "statementOfAccountType");
            return (Criteria) this;
        }

        public Criteria andServiceIdIsNull() {
            addCriterion("service_id is null");
            return (Criteria) this;
        }

        public Criteria andServiceIdIsNotNull() {
            addCriterion("service_id is not null");
            return (Criteria) this;
        }

        public Criteria andServiceIdEqualTo(Integer value) {
            addCriterion("service_id =", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdNotEqualTo(Integer value) {
            addCriterion("service_id <>", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdGreaterThan(Integer value) {
            addCriterion("service_id >", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("service_id >=", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdLessThan(Integer value) {
            addCriterion("service_id <", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdLessThanOrEqualTo(Integer value) {
            addCriterion("service_id <=", value, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdIn(List<Integer> values) {
            addCriterion("service_id in", values, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdNotIn(List<Integer> values) {
            addCriterion("service_id not in", values, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdBetween(Integer value1, Integer value2) {
            addCriterion("service_id between", value1, value2, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceIdNotBetween(Integer value1, Integer value2) {
            addCriterion("service_id not between", value1, value2, "serviceId");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNull() {
            addCriterion("service_no is null");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNotNull() {
            addCriterion("service_no is not null");
            return (Criteria) this;
        }

        public Criteria andServiceNoEqualTo(String value) {
            addCriterion("service_no =", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotEqualTo(String value) {
            addCriterion("service_no <>", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThan(String value) {
            addCriterion("service_no >", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThanOrEqualTo(String value) {
            addCriterion("service_no >=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThan(String value) {
            addCriterion("service_no <", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThanOrEqualTo(String value) {
            addCriterion("service_no <=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLike(String value) {
            addCriterion("service_no like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotLike(String value) {
            addCriterion("service_no not like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoIn(List<String> values) {
            addCriterion("service_no in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotIn(List<String> values) {
            addCriterion("service_no not in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoBetween(String value1, String value2) {
            addCriterion("service_no between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotBetween(String value1, String value2) {
            addCriterion("service_no not between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNameIsNull() {
            addCriterion("service_name is null");
            return (Criteria) this;
        }

        public Criteria andServiceNameIsNotNull() {
            addCriterion("service_name is not null");
            return (Criteria) this;
        }

        public Criteria andServiceNameEqualTo(String value) {
            addCriterion("service_name =", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotEqualTo(String value) {
            addCriterion("service_name <>", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameGreaterThan(String value) {
            addCriterion("service_name >", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameGreaterThanOrEqualTo(String value) {
            addCriterion("service_name >=", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameLessThan(String value) {
            addCriterion("service_name <", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameLessThanOrEqualTo(String value) {
            addCriterion("service_name <=", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameLike(String value) {
            addCriterion("service_name like", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotLike(String value) {
            addCriterion("service_name not like", value, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameIn(List<String> values) {
            addCriterion("service_name in", values, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotIn(List<String> values) {
            addCriterion("service_name not in", values, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameBetween(String value1, String value2) {
            addCriterion("service_name between", value1, value2, "serviceName");
            return (Criteria) this;
        }

        public Criteria andServiceNameNotBetween(String value1, String value2) {
            addCriterion("service_name not between", value1, value2, "serviceName");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdIsNull() {
            addCriterion("sys_org_id is null");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdIsNotNull() {
            addCriterion("sys_org_id is not null");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdEqualTo(Long value) {
            addCriterion("sys_org_id =", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdNotEqualTo(Long value) {
            addCriterion("sys_org_id <>", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdGreaterThan(Long value) {
            addCriterion("sys_org_id >", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdGreaterThanOrEqualTo(Long value) {
            addCriterion("sys_org_id >=", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdLessThan(Long value) {
            addCriterion("sys_org_id <", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdLessThanOrEqualTo(Long value) {
            addCriterion("sys_org_id <=", value, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdIn(List<Long> values) {
            addCriterion("sys_org_id in", values, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdNotIn(List<Long> values) {
            addCriterion("sys_org_id not in", values, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdBetween(Long value1, Long value2) {
            addCriterion("sys_org_id between", value1, value2, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysOrgIdNotBetween(Long value1, Long value2) {
            addCriterion("sys_org_id not between", value1, value2, "sysOrgId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdIsNull() {
            addCriterion("sys_virt_id is null");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdIsNotNull() {
            addCriterion("sys_virt_id is not null");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdEqualTo(Long value) {
            addCriterion("sys_virt_id =", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdNotEqualTo(Long value) {
            addCriterion("sys_virt_id <>", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdGreaterThan(Long value) {
            addCriterion("sys_virt_id >", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdGreaterThanOrEqualTo(Long value) {
            addCriterion("sys_virt_id >=", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdLessThan(Long value) {
            addCriterion("sys_virt_id <", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdLessThanOrEqualTo(Long value) {
            addCriterion("sys_virt_id <=", value, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdIn(List<Long> values) {
            addCriterion("sys_virt_id in", values, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdNotIn(List<Long> values) {
            addCriterion("sys_virt_id not in", values, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdBetween(Long value1, Long value2) {
            addCriterion("sys_virt_id between", value1, value2, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andSysVirtIdNotBetween(Long value1, Long value2) {
            addCriterion("sys_virt_id not between", value1, value2, "sysVirtId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdIsNull() {
            addCriterion("out_org_id is null");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdIsNotNull() {
            addCriterion("out_org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdEqualTo(Long value) {
            addCriterion("out_org_id =", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdNotEqualTo(Long value) {
            addCriterion("out_org_id <>", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdGreaterThan(Long value) {
            addCriterion("out_org_id >", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdGreaterThanOrEqualTo(Long value) {
            addCriterion("out_org_id >=", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdLessThan(Long value) {
            addCriterion("out_org_id <", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdLessThanOrEqualTo(Long value) {
            addCriterion("out_org_id <=", value, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdIn(List<Long> values) {
            addCriterion("out_org_id in", values, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdNotIn(List<Long> values) {
            addCriterion("out_org_id not in", values, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdBetween(Long value1, Long value2) {
            addCriterion("out_org_id between", value1, value2, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutOrgIdNotBetween(Long value1, Long value2) {
            addCriterion("out_org_id not between", value1, value2, "outOrgId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdIsNull() {
            addCriterion("out_virt_id is null");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdIsNotNull() {
            addCriterion("out_virt_id is not null");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdEqualTo(Long value) {
            addCriterion("out_virt_id =", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdNotEqualTo(Long value) {
            addCriterion("out_virt_id <>", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdGreaterThan(Long value) {
            addCriterion("out_virt_id >", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdGreaterThanOrEqualTo(Long value) {
            addCriterion("out_virt_id >=", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdLessThan(Long value) {
            addCriterion("out_virt_id <", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdLessThanOrEqualTo(Long value) {
            addCriterion("out_virt_id <=", value, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdIn(List<Long> values) {
            addCriterion("out_virt_id in", values, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdNotIn(List<Long> values) {
            addCriterion("out_virt_id not in", values, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdBetween(Long value1, Long value2) {
            addCriterion("out_virt_id between", value1, value2, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andOutVirtIdNotBetween(Long value1, Long value2) {
            addCriterion("out_virt_id not between", value1, value2, "outVirtId");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeIsNull() {
            addCriterion("cycle_begin_time is null");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeIsNotNull() {
            addCriterion("cycle_begin_time is not null");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeEqualTo(Date value) {
            addCriterion("cycle_begin_time =", value, "cycleBeginTime");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeNotEqualTo(Date value) {
            addCriterion("cycle_begin_time <>", value, "cycleBeginTime");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeGreaterThan(Date value) {
            addCriterion("cycle_begin_time >", value, "cycleBeginTime");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("cycle_begin_time >=", value, "cycleBeginTime");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeLessThan(Date value) {
            addCriterion("cycle_begin_time <", value, "cycleBeginTime");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeLessThanOrEqualTo(Date value) {
            addCriterion("cycle_begin_time <=", value, "cycleBeginTime");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeIn(List<Date> values) {
            addCriterion("cycle_begin_time in", values, "cycleBeginTime");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeNotIn(List<Date> values) {
            addCriterion("cycle_begin_time not in", values, "cycleBeginTime");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeBetween(Date value1, Date value2) {
            addCriterion("cycle_begin_time between", value1, value2, "cycleBeginTime");
            return (Criteria) this;
        }

        public Criteria andCycleBeginTimeNotBetween(Date value1, Date value2) {
            addCriterion("cycle_begin_time not between", value1, value2, "cycleBeginTime");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeIsNull() {
            addCriterion("cycle_end_time is null");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeIsNotNull() {
            addCriterion("cycle_end_time is not null");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeEqualTo(Date value) {
            addCriterion("cycle_end_time =", value, "cycleEndTime");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeNotEqualTo(Date value) {
            addCriterion("cycle_end_time <>", value, "cycleEndTime");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeGreaterThan(Date value) {
            addCriterion("cycle_end_time >", value, "cycleEndTime");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("cycle_end_time >=", value, "cycleEndTime");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeLessThan(Date value) {
            addCriterion("cycle_end_time <", value, "cycleEndTime");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("cycle_end_time <=", value, "cycleEndTime");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeIn(List<Date> values) {
            addCriterion("cycle_end_time in", values, "cycleEndTime");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeNotIn(List<Date> values) {
            addCriterion("cycle_end_time not in", values, "cycleEndTime");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeBetween(Date value1, Date value2) {
            addCriterion("cycle_end_time between", value1, value2, "cycleEndTime");
            return (Criteria) this;
        }

        public Criteria andCycleEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("cycle_end_time not between", value1, value2, "cycleEndTime");
            return (Criteria) this;
        }

        public Criteria andIsPauseIsNull() {
            addCriterion("is_pause is null");
            return (Criteria) this;
        }

        public Criteria andIsPauseIsNotNull() {
            addCriterion("is_pause is not null");
            return (Criteria) this;
        }

        public Criteria andIsPauseEqualTo(Integer value) {
            addCriterion("is_pause =", value, "isPause");
            return (Criteria) this;
        }

        public Criteria andIsPauseNotEqualTo(Integer value) {
            addCriterion("is_pause <>", value, "isPause");
            return (Criteria) this;
        }

        public Criteria andIsPauseGreaterThan(Integer value) {
            addCriterion("is_pause >", value, "isPause");
            return (Criteria) this;
        }

        public Criteria andIsPauseGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_pause >=", value, "isPause");
            return (Criteria) this;
        }

        public Criteria andIsPauseLessThan(Integer value) {
            addCriterion("is_pause <", value, "isPause");
            return (Criteria) this;
        }

        public Criteria andIsPauseLessThanOrEqualTo(Integer value) {
            addCriterion("is_pause <=", value, "isPause");
            return (Criteria) this;
        }

        public Criteria andIsPauseIn(List<Integer> values) {
            addCriterion("is_pause in", values, "isPause");
            return (Criteria) this;
        }

        public Criteria andIsPauseNotIn(List<Integer> values) {
            addCriterion("is_pause not in", values, "isPause");
            return (Criteria) this;
        }

        public Criteria andIsPauseBetween(Integer value1, Integer value2) {
            addCriterion("is_pause between", value1, value2, "isPause");
            return (Criteria) this;
        }

        public Criteria andIsPauseNotBetween(Integer value1, Integer value2) {
            addCriterion("is_pause not between", value1, value2, "isPause");
            return (Criteria) this;
        }

        public Criteria andJobIdIsNull() {
            addCriterion("job_id is null");
            return (Criteria) this;
        }

        public Criteria andJobIdIsNotNull() {
            addCriterion("job_id is not null");
            return (Criteria) this;
        }

        public Criteria andJobIdEqualTo(Long value) {
            addCriterion("job_id =", value, "jobId");
            return (Criteria) this;
        }

        public Criteria andJobIdNotEqualTo(Long value) {
            addCriterion("job_id <>", value, "jobId");
            return (Criteria) this;
        }

        public Criteria andJobIdGreaterThan(Long value) {
            addCriterion("job_id >", value, "jobId");
            return (Criteria) this;
        }

        public Criteria andJobIdGreaterThanOrEqualTo(Long value) {
            addCriterion("job_id >=", value, "jobId");
            return (Criteria) this;
        }

        public Criteria andJobIdLessThan(Long value) {
            addCriterion("job_id <", value, "jobId");
            return (Criteria) this;
        }

        public Criteria andJobIdLessThanOrEqualTo(Long value) {
            addCriterion("job_id <=", value, "jobId");
            return (Criteria) this;
        }

        public Criteria andJobIdIn(List<Long> values) {
            addCriterion("job_id in", values, "jobId");
            return (Criteria) this;
        }

        public Criteria andJobIdNotIn(List<Long> values) {
            addCriterion("job_id not in", values, "jobId");
            return (Criteria) this;
        }

        public Criteria andJobIdBetween(Long value1, Long value2) {
            addCriterion("job_id between", value1, value2, "jobId");
            return (Criteria) this;
        }

        public Criteria andJobIdNotBetween(Long value1, Long value2) {
            addCriterion("job_id not between", value1, value2, "jobId");
            return (Criteria) this;
        }

        public Criteria andRunStateIsNull() {
            addCriterion("run_state is null");
            return (Criteria) this;
        }

        public Criteria andRunStateIsNotNull() {
            addCriterion("run_state is not null");
            return (Criteria) this;
        }

        public Criteria andRunStateEqualTo(Integer value) {
            addCriterion("run_state =", value, "runState");
            return (Criteria) this;
        }

        public Criteria andRunStateNotEqualTo(Integer value) {
            addCriterion("run_state <>", value, "runState");
            return (Criteria) this;
        }

        public Criteria andRunStateGreaterThan(Integer value) {
            addCriterion("run_state >", value, "runState");
            return (Criteria) this;
        }

        public Criteria andRunStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("run_state >=", value, "runState");
            return (Criteria) this;
        }

        public Criteria andRunStateLessThan(Integer value) {
            addCriterion("run_state <", value, "runState");
            return (Criteria) this;
        }

        public Criteria andRunStateLessThanOrEqualTo(Integer value) {
            addCriterion("run_state <=", value, "runState");
            return (Criteria) this;
        }

        public Criteria andRunStateIn(List<Integer> values) {
            addCriterion("run_state in", values, "runState");
            return (Criteria) this;
        }

        public Criteria andRunStateNotIn(List<Integer> values) {
            addCriterion("run_state not in", values, "runState");
            return (Criteria) this;
        }

        public Criteria andRunStateBetween(Integer value1, Integer value2) {
            addCriterion("run_state between", value1, value2, "runState");
            return (Criteria) this;
        }

        public Criteria andRunStateNotBetween(Integer value1, Integer value2) {
            addCriterion("run_state not between", value1, value2, "runState");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andRunTimeIsNull() {
            addCriterion("run_time is null");
            return (Criteria) this;
        }

        public Criteria andRunTimeIsNotNull() {
            addCriterion("run_time is not null");
            return (Criteria) this;
        }

        public Criteria andRunTimeEqualTo(Date value) {
            addCriterion("run_time =", value, "runTime");
            return (Criteria) this;
        }

        public Criteria andRunTimeNotEqualTo(Date value) {
            addCriterion("run_time <>", value, "runTime");
            return (Criteria) this;
        }

        public Criteria andRunTimeGreaterThan(Date value) {
            addCriterion("run_time >", value, "runTime");
            return (Criteria) this;
        }

        public Criteria andRunTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("run_time >=", value, "runTime");
            return (Criteria) this;
        }

        public Criteria andRunTimeLessThan(Date value) {
            addCriterion("run_time <", value, "runTime");
            return (Criteria) this;
        }

        public Criteria andRunTimeLessThanOrEqualTo(Date value) {
            addCriterion("run_time <=", value, "runTime");
            return (Criteria) this;
        }

        public Criteria andRunTimeIn(List<Date> values) {
            addCriterion("run_time in", values, "runTime");
            return (Criteria) this;
        }

        public Criteria andRunTimeNotIn(List<Date> values) {
            addCriterion("run_time not in", values, "runTime");
            return (Criteria) this;
        }

        public Criteria andRunTimeBetween(Date value1, Date value2) {
            addCriterion("run_time between", value1, value2, "runTime");
            return (Criteria) this;
        }

        public Criteria andRunTimeNotBetween(Date value1, Date value2) {
            addCriterion("run_time not between", value1, value2, "runTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNull() {
            addCriterion("finish_time is null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIsNotNull() {
            addCriterion("finish_time is not null");
            return (Criteria) this;
        }

        public Criteria andFinishTimeEqualTo(Date value) {
            addCriterion("finish_time =", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotEqualTo(Date value) {
            addCriterion("finish_time <>", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThan(Date value) {
            addCriterion("finish_time >", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("finish_time >=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThan(Date value) {
            addCriterion("finish_time <", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeLessThanOrEqualTo(Date value) {
            addCriterion("finish_time <=", value, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeIn(List<Date> values) {
            addCriterion("finish_time in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotIn(List<Date> values) {
            addCriterion("finish_time not in", values, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeBetween(Date value1, Date value2) {
            addCriterion("finish_time between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andFinishTimeNotBetween(Date value1, Date value2) {
            addCriterion("finish_time not between", value1, value2, "finishTime");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNull() {
            addCriterion("accounting_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNotNull() {
            addCriterion("accounting_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnEqualTo(String value) {
            addCriterion("accounting_order_sn =", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotEqualTo(String value) {
            addCriterion("accounting_order_sn <>", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThan(String value) {
            addCriterion("accounting_order_sn >", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn >=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThan(String value) {
            addCriterion("accounting_order_sn <", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn <=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLike(String value) {
            addCriterion("accounting_order_sn like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotLike(String value) {
            addCriterion("accounting_order_sn not like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIn(List<String> values) {
            addCriterion("accounting_order_sn in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotIn(List<String> values) {
            addCriterion("accounting_order_sn not in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnBetween(String value1, String value2) {
            addCriterion("accounting_order_sn between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotBetween(String value1, String value2) {
            addCriterion("accounting_order_sn not between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andParamsIsNull() {
            addCriterion("params is null");
            return (Criteria) this;
        }

        public Criteria andParamsIsNotNull() {
            addCriterion("params is not null");
            return (Criteria) this;
        }

        public Criteria andParamsEqualTo(String value) {
            addCriterion("params =", value, "params");
            return (Criteria) this;
        }

        public Criteria andParamsNotEqualTo(String value) {
            addCriterion("params <>", value, "params");
            return (Criteria) this;
        }

        public Criteria andParamsGreaterThan(String value) {
            addCriterion("params >", value, "params");
            return (Criteria) this;
        }

        public Criteria andParamsGreaterThanOrEqualTo(String value) {
            addCriterion("params >=", value, "params");
            return (Criteria) this;
        }

        public Criteria andParamsLessThan(String value) {
            addCriterion("params <", value, "params");
            return (Criteria) this;
        }

        public Criteria andParamsLessThanOrEqualTo(String value) {
            addCriterion("params <=", value, "params");
            return (Criteria) this;
        }

        public Criteria andParamsLike(String value) {
            addCriterion("params like", value, "params");
            return (Criteria) this;
        }

        public Criteria andParamsNotLike(String value) {
            addCriterion("params not like", value, "params");
            return (Criteria) this;
        }

        public Criteria andParamsIn(List<String> values) {
            addCriterion("params in", values, "params");
            return (Criteria) this;
        }

        public Criteria andParamsNotIn(List<String> values) {
            addCriterion("params not in", values, "params");
            return (Criteria) this;
        }

        public Criteria andParamsBetween(String value1, String value2) {
            addCriterion("params between", value1, value2, "params");
            return (Criteria) this;
        }

        public Criteria andParamsNotBetween(String value1, String value2) {
            addCriterion("params not between", value1, value2, "params");
            return (Criteria) this;
        }
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * do_not_delete_during_merge Mon Dec 28 17:39:39 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table sys_quartz_schedule_task_statement_of_account
     *
     * Mon Dec 28 17:39:39 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}